Bug 1512043 (CVE-2017-16352) - CVE-2017-16352 ImageMagick, GraphicsMagick: Heap based buffer over-write in DescribeImage() function of the magick/describe.c or magick/image.c
Summary: CVE-2017-16352 ImageMagick, GraphicsMagick: Heap based buffer over-write in D...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-16352
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1512044 1512045
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 18:09 UTC by Pedro Sampaio
Modified: 2019-09-29 14:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-19 00:45:38 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-11-10 18:09:45 UTC
GraphicsMagick 1.3.26 is vulnerable to a heap-based buffer overflow vulnerability found in the "Display visual image directory" feature of the DescribeImage() function of the magick/describe.c file. One possible way to trigger the vulnerability is to run the identify command on a specially crafted MIFF format file with the verbose flag.

Upstream patch:

http://hg.graphicsmagick.org/hg/GraphicsMagick?cmd=changeset;node=7292230dd185

References:

https://blogs.securiteam.com/index.php/archives/3494

Comment 1 Pedro Sampaio 2017-11-10 18:10:54 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1512044]


Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1512045]

Comment 2 Product Security DevOps Team 2019-09-19 00:45:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-16352


Note You need to log in before you can comment on or make changes to this bug.